appId: com.toughra.ustadmobile2

---
# This test tests the Library page of app adding content
# Test parameters needs to provide for this test :
 # 1) TESTFILENAME : provide the content name inside the 'test-files/content' folder
 # 2) TESTCONTENTNAME : provide the content title, it should be a string
 # 3) CONTROLSERVER: ${CONTROLSERVER} : provides the test-control-server address
 # 4) TESTSERIAL: ${TESTSERIAL} : provides the device serial number
 # 5) TESTRESULTSDIR : ${TESTRESULTSDIR} : provides the path to store test results


# clear the downloads
- evalScript: ${http.get(CONTROLSERVER + "cleardownloads?device=" + TESTSERIAL)}
# push the test file to the downloads
- evalScript: ${http.get(CONTROLSERVER + "pushcontent?test-file-name=" + TESTFILENAME +"&device=" + TESTSERIAL)}


- tapOn: "Add file"
- runFlow:
    when:
      notVisible: "Downloads"
    file: redirect_to_downloads.yaml
- tapOn: ${TESTFILENAME}